#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-types
version:              1.3.0.1
visibility:           public
id:                   lsp-types-1.3.0.1-JgjoXDMMhsXIXMSXzpEEwC
key:                  lsp-types-1.3.0.1-JgjoXDMMhsXIXMSXzpEEwC
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  810eaddd2994e8f29a22fa937bfda121
exposed:              True
exposed-modules:
    Data.IxMap Language.LSP.Types Language.LSP.Types.Capabilities
    Language.LSP.Types.Lens Language.LSP.VFS

hidden-modules:
    Language.LSP.Types.CallHierarchy Language.LSP.Types.Cancellation
    Language.LSP.Types.ClientCapabilities Language.LSP.Types.CodeAction
    Language.LSP.Types.CodeLens Language.LSP.Types.Command
    Language.LSP.Types.Common Language.LSP.Types.Completion
    Language.LSP.Types.Configuration Language.LSP.Types.Declaration
    Language.LSP.Types.Definition Language.LSP.Types.Diagnostic
    Language.LSP.Types.DocumentColor Language.LSP.Types.DocumentFilter
    Language.LSP.Types.DocumentHighlight
    Language.LSP.Types.DocumentLink Language.LSP.Types.DocumentSymbol
    Language.LSP.Types.FoldingRange Language.LSP.Types.Formatting
    Language.LSP.Types.Hover Language.LSP.Types.Implementation
    Language.LSP.Types.Initialize Language.LSP.Types.Location
    Language.LSP.Types.LspId Language.LSP.Types.MarkupContent
    Language.LSP.Types.Method Language.LSP.Types.Message
    Language.LSP.Types.Parsing Language.LSP.Types.Progress
    Language.LSP.Types.Registration Language.LSP.Types.References
    Language.LSP.Types.Rename Language.LSP.Types.SelectionRange
    Language.LSP.Types.ServerCapabilities
    Language.LSP.Types.SemanticTokens Language.LSP.Types.SignatureHelp
    Language.LSP.Types.StaticRegistrationOptions
    Language.LSP.Types.TextDocument Language.LSP.Types.TypeDefinition
    Language.LSP.Types.Uri Language.LSP.Types.Utils
    Language.LSP.Types.Window Language.LSP.Types.WatchedFiles
    Language.LSP.Types.WorkspaceEdit
    Language.LSP.Types.WorkspaceFolders
    Language.LSP.Types.WorkspaceSymbol

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-types-1.3.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-types-1.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp-types
hs-libraries:         HSlsp-types-1.3.0.1-JgjoXDMMhsXIXMSXzpEEwC
depends:
    Diff-0.4.1-4t7ul4GboxR5grHkkPGTXw
    aeson-1.5.6.0-C19GJXDSM92LJPi4EK7PL5 base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R deepseq-1.4.5.0
    dependent-sum-0.7.1.0-Jb5ilreimYVDtPEiP0obSQ
    dependent-sum-template-0.1.1.1-IMrSSoxAlmLBJp1bY27WWO
    directory-1.3.6.2 dlist-1.0-F00OxiD1dC249OyRKVGlo2 filepath-1.4.2.1
    hashable-1.4.0.1-4LYnLqhVCzaKURVgzlvekc
    hslogger-1.3.1.0-5epdYS4LHshJXNW6xIWkeW
    lens-5.1-2cWIhlxLzByLr1tTxyw8I1 mtl-2.2.2
    network-uri-2.6.4.1-4xrPI2Tj8np6ivptg0MZK4
    rope-utf16-splay-0.3.2.0-4zd4ndrNpRfGX8l4v0Q6R5
    scientific-0.3.7.0-2ciLBdxk3PkJ1Ff6Knc9zj
    some-1.0.3-4tJBwqdl6II5ViVY4feiYl template-haskell-2.17.0.0
    temporary-1.3-3d6aazHUcTfFZRdkOyGKYK text-1.2.5.0
    unordered-containers-0.2.18.0-5g7cvfJKetKCmnCFTnDbJb

haddock-interfaces:   /usr/share/doc/haskell-lsp-types/html/lsp-types.haddock
haddock-html:         /usr/share/doc/haskell-lsp-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

